Move execute wrappers to function.sh file

This commit is contained in:
Reto Buerki
2013-01-17 15:22:09 +01:00
committed by Tobias Brunner
parent 9574bf7a5e
commit b86866579a
2 changed files with 24 additions and 28 deletions
-25
View File
@@ -13,31 +13,6 @@ DIR=`dirname $0`
[ -f $DIR/../testing.conf ] || die "!! Configuration file 'testing.conf' not found"
. $DIR/../testing.conf
# execute command
# $1 - command to execute
# $2 - whether or not to log command exit status
# (0 -> disable exit status logging)
execute()
{
cmd=${1}
echo $cmd >>$LOGFILE
$cmd >>$LOGFILE 2>&1
status=$?
[ "$2" != 0 ] && log_status $status
if [ $status != 0 ]; then
echo "! command $cmd failed, exiting (status $status)"
echo "! check why here $LOGFILE"
exit 1
fi
}
# execute command in chroot
# $1 - command to execute
execute_chroot()
{
execute "chroot $LOOPDIR $@"
}
# additional packages
EXTRAS=build-essential,gperf,libgmp-dev,libldap2-dev,libcurl4-openssl-dev,libxml2-dev,libtspi-dev,libsqlite3-dev,openssh-server,tcpdump,psmisc,openssl,vim,sqlite3,conntrack,gdb,cmake,libxerces-c2-dev,libltdl-dev,liblog4cxx10-dev,libboost-thread-dev,libboost-system-dev,git-core
SERVICES="isc-dhcp-server apache2 slapd"